|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionDockWidget Class Reference
[QtGui module]

The QStyleOptionDockWidget class is used to describe the parameters for drawing a dock window. More...

    #include <QStyleOptionDockWidget>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Functions

- QStyleOptionDockWidget ()
- QStyleOptionDockWidget ( const QStyleOptionDockWidget & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- bool closable
- bool floatable
- bool movable
- QString title

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionDockWidget class is used to describe the parameters for drawing a dock window.

## Member Function Documentation

### QStyleOptionDockWidget::QStyleOptionDockWidget ()

Constructs a QStyleOptionDockWidget. The member variables are initialized to default values.

### QStyleOptionDockWidget::QStyleOptionDockWidget ( const QStyleOptionDockWidget & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionDockWidget::Type

Equals SO_DockWidget.

### const int QStyleOptionDockWidget::Version

Equals 1.

### bool QStyleOptionDockWidget::closable

This variable holds indicates that the dock window is closable.

### bool QStyleOptionDockWidget::floatable

This variable holds indicates that the dock window is floatable.

### bool QStyleOptionDockWidget::movable

This variable holds indicates that the dock window is movable.

### QString QStyleOptionDockWidget::title

This variable holds the title of the dock window.